{% extends 'base.html' %}

{% block content %}
    <div class="jumbotron">
        {% if not user.is_authenticated %}
        <h5>for detail view you need to login or register</h5>
        <a href="{% url 'login' %}">login</a><br>
        <a href="{% url 'register' %}">register</a><br>
    {% endif %}
        {% if user.is_authenticated %}

        <h5>This is module page</h5>
        {% for i in module %}
            {{ i.name }}<br>
            {{ i.course }}<br>
            {{ i.duration }}<br>
            {{ i.prerequisite }}<br>
            <a href="{% url 'lesson' slug=i.slug %}">lesson</a>

        {% endfor %}
    {% if not module %}
        <h5>no more modules</h5>
    {% endif %}
            <div >
                <a href="{% url 'enroll' %}">click here to enroll courses</a><br>
                <a href="{% url 'logout' %}">logout</a><br>
                <a href="{% url 'password' %}">password change</a><br>

            </div>
    {% endif %}

    </div>

{% endblock %}